# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CopyTexSubImage2D Class Reference

Wraps glCopyTexSubImage2D, see also CopyTexSubImage. To be used also for 1D array textures. More...

`#include <CopyTexSubImage.hpp>`

Inheritance diagram for vl::CopyTexSubImage2D:

List of all members.

## Public Member Functions
| CopyTexSubImage2D (int level, int xoffset, int yoffset, int x, int y, int width, int height, Texture *texture=NULL, ETex2DTarget target=T2DT_TEXTURE_2D, EReadDrawBuffer read_buffer=RDB_BACK_LEFT)
virtual const char * | className ()
| Returns the name of the class.
void | setTexture (Texture *tex)
void | setLevel (int level)
void | setXOffset (int xoffset)
void | setYOffset (int yoffset)
void | setX (int x)
void | setY (int y)
void | setWidth (int width)
void | setHeight (int height)
void | setTarget (ETex2DTarget target)
Texture * | texture ()
const Texture * | texture () const
int | level () const
int | xoffset () const
int | yoffset () const
int | x () const
int | y () const
int | width () const
int | height () const
ETex2DTarget | target () const
virtual void | copyPixels ()
| Copies the pixels from the specified read buffer to the specified texture.
## Protected Attributes
ref< Texture > | mTexture
int | mLevel
int | mXOffset
int | mYOffset
int | mX
int | mY
int | mWidth
int | mHeight
ETex2DTarget | mTarget

## Detailed Description

Wraps glCopyTexSubImage2D, see also CopyTexSubImage. To be used also for 1D array textures.

## Constructor & Destructor Documentation

vl::CopyTexSubImage2D::CopyTexSubImage2D | ( | int | level,
|  | int | xoffset,
|  | int | yoffset,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Texture * | texture = `NULL`,
|  | ETex2DTarget | target = `T2DT_TEXTURE_2D`,
|  | EReadDrawBuffer | read_buffer = `RDB_BACK_LEFT` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::CopyTexSubImage2D::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderingCallback.

void vl::CopyTexSubImage2D::setTexture | ( | Texture * | tex | ) | `[inline]`

void vl::CopyTexSubImage2D::setLevel | ( | int | level | ) | `[inline]`

void vl::CopyTexSubImage2D::setXOffset | ( | int | xoffset | ) | `[inline]`

void vl::CopyTexSubImage2D::setYOffset | ( | int | yoffset | ) | `[inline]`

void vl::CopyTexSubImage2D::setX | ( | int | x | ) | `[inline]`

void vl::CopyTexSubImage2D::setY | ( | int | y | ) | `[inline]`

void vl::CopyTexSubImage2D::setWidth | ( | int | width | ) | `[inline]`

void vl::CopyTexSubImage2D::setHeight | ( | int | height | ) | `[inline]`

void vl::CopyTexSubImage2D::setTarget | ( | ETex2DTarget | target | ) | `[inline]`

Texture* vl::CopyTexSubImage2D::texture | ( |  | ) | `[inline]`

const Texture* vl::CopyTexSubImage2D::texture | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::level | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::xoffset | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::yoffset | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::x | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::y | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::width | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage2D::height | ( |  | ) | const`[inline]`

ETex2DTarget vl::CopyTexSubImage2D::target | ( |  | ) | const`[inline]`

virtual void vl::CopyTexSubImage2D::copyPixels | ( |  | ) | `[inline, virtual]`

Copies the pixels from the specified read buffer to the specified texture.

Implements vl::CopyTexSubImage.

## Member Data Documentation

ref<Texture> vl::CopyTexSubImage2D::mTexture`[protected]`

int vl::CopyTexSubImage2D::mLevel`[protected]`

int vl::CopyTexSubImage2D::mXOffset`[protected]`

int vl::CopyTexSubImage2D::mYOffset`[protected]`

int vl::CopyTexSubImage2D::mX`[protected]`

int vl::CopyTexSubImage2D::mY`[protected]`

int vl::CopyTexSubImage2D::mWidth`[protected]`

int vl::CopyTexSubImage2D::mHeight`[protected]`

ETex2DTarget vl::CopyTexSubImage2D::mTarget`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CopyTexSubImage.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.